Bug 727995 - mouse double-click time is too low by default - 200ms
Summary: mouse double-click time is too low by default - 200ms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openbox
Version: 15
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 21:18 UTC by Pavel Roskin
Modified: 2012-04-18 19:34 UTC (History)
1 user (show)

Fixed In Version: openbox-3.5.0-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 19:34:26 UTC


Attachments (Terms of Use)
patch (1.13 KB, patch)
2011-08-03 21:18 UTC, Pavel Roskin
no flags Details | Diff
Fixed version. Now config.c is changed as well. (1.61 KB, patch)
2011-08-04 15:47 UTC, Pavel Roskin
no flags Details | Diff

Description Pavel Roskin 2011-08-03 21:18:04 UTC
Created attachment 516580 [details]
patch

Description of problem:

The mouse double-click time is set to 0.2 seconds by default.  I'm been using GUI since Windows 3.1, but I cannot click that fast unless I specifically concentrate on that, and even then I need to be lucky.

When I tried LXDE with Openbox, I actually assumed that double-click on the title bar doesn't work.  It is not until much later that I installed obconf and found that it's supported, but the double-click time is unrealistically low.

According to Wikipedia, the default double-click time for Windows is 500ms.  And even that is hard for some users!

Version-Release number of selected component (if applicable):
openbox-3.4.11.2-8.fc15

How reproducible:

Always.  Every time I install Fedora, it's one of the first things I need to change.

Steps to Reproduce:
1. Login into LXDE
2. Open lxterminal
3. Try double-clicking a window titlebar
4. Run obconf and see the Mouse tab
  
Actual results:
Double-clicking fast enough to maximize the window is very hard
The double click time is set to 200ms.

Expected results:
Double-clicking just works every time, maximizing the window without any special effort.
The double click time is set to 500ms.

Additional info:

There are two references to doubleClickTime in the source, one in data/rc.xml and another in doc/rc-mouse-focus.xml.  I believe both need to be changed to 500.

The current git repository of openbox also has 200 in both places.  I'm going to submit the patch upsteam.

Comment 1 Pavel Roskin 2011-08-04 15:47:30 UTC
Created attachment 516741 [details]
Fixed version.  Now config.c is changed as well.

Comment 2 Miroslav Lichvar 2011-08-08 11:34:54 UTC
Yes, please send this to upstream and I'll include the commit from upstream git.

Comment 3 Pavel Roskin 2011-10-17 22:48:09 UTC
It's upstream now, commit c885c9a676e4860a68f0bdce4b926902f6597ebb.  Additionally, the patch checks that the mouse didn't move too much between the clicks, which is reasonable.

Comment 4 Fedora Update System 2012-03-30 13:56:57 UTC
openbox-3.5.0-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openbox-3.5.0-5.fc16

Comment 5 Fedora Update System 2012-03-30 13:59:20 UTC
openbox-3.5.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openbox-3.5.0-5.fc17

Comment 6 Pavel Roskin 2012-03-30 21:36:44 UTC
I've installed openbox-3.5.0-5.fc16 on Fedora 16, but the bug is still there!  If I remove ~/.config/openbox, log out and log in, I have this in ~/.config/openbox/lxde-rc.xml:

  <doubleClickTime>200</doubleClickTime>

I have no idea where that number comes from now.  If I log in on the text console while logged out in X, ~/.config/openbox does not exist, so it's not saved by the old process.  I uninstalled obconf, which still has default double click time 200, but it made no difference.  It's clear that the double click time is less than 500, as only very fast double clicks have an effect.

doubleClickTime in /etc/xdg/openbox/rc.xml is 500.

I even created a new user, logged in with LXDE and found that the double click time is 200.  So the bug is not fixed.

Comment 7 Fedora Update System 2012-03-31 03:02:08 UTC
Package openbox-3.5.0-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openbox-3.5.0-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4975/openbox-3.5.0-5.fc16
then log in and leave karma (feedback).

Comment 8 Pavel Roskin 2012-03-31 13:35:04 UTC
That's what I did yesterday, except that I downloaded the package from the link in the comment 4.

Comment 9 Miroslav Lichvar 2012-04-02 11:35:58 UTC
That seems to come from /usr/share/lxde/openbox/rc.xml from the lxde-common package.

I think that should be a new bug, the default config and code in openbox has 500 ms now.

Comment 10 Pavel Roskin 2012-04-02 21:41:03 UTC
(In reply to comment #9)
You are right, Miroslav, it comes from that file.  The name lxde-rc.xml should have been a hint for me.  So I have no objections regarding the proposed update for openbox.  It's so disappointing that the same setting needs to be fixed in so many places (obconf has 200 as well) :(

Comment 11 Fedora Update System 2012-04-14 04:35:28 UTC
openbox-3.5.0-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-04-18 19:34:26 UTC
openbox-3.5.0-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.